import logging

from kamikaze3.importer.util.crontab import backup_crontab as generic_backup_crontab

logger = logging.getLogger(__name__)


def backup_hipex_crontab(importer, backup_dir):
    """
    Backup the crontab of a Hipex node.
    This is now a wrapper around the generic backup_crontab function.

    :param importer: Importer object to connect to remote node
    :param backup_dir: Path to store the backup in
    """
    logger.info(f"Backing up Hipex crontab")
    return generic_backup_crontab(importer, backup_dir)
