import logging
import os

logger = logging.getLogger(__name__)


def backup_hipex_nginx_config(importer, backup_dir):
    # Customer configs are stored in ~/domains/<domain>/var/etc/. This also contains
    # the Varnish VCL if it exists
    return_code, stdout, _ = importer.ssh_conn.driver.exec_command("ls -1 ~/domains/")
    if return_code != 0:
        logger.warning("Can't parse nginx domains. Skipping nginx backup")
        return

    os.makedirs(backup_dir / "nginx", exist_ok=True)
    domains = stdout.decode("utf-8", errors="ignore").strip().split("\n")
    for domain_name in domains:
        logger.info(f"Backing up nginx domain {domain_name}")
        nginx_dir = f"domains/{domain_name}/var/etc"
        importer.file_transfer_conn.driver.download(
            nginx_dir, backup_dir / f"nginx/{domain_name}/"
        )
