import logging
import os

logger = logging.getLogger(__name__)


def backup_hipex_redis_config(importer, backup_dir):
    logger.info(
        f"Trying to backup any Redis files, it's OK if these fail. Those files might not be readable by the user."
    )
    os.makedirs(backup_dir / "redis", exist_ok=True)
    importer.file_transfer_conn.driver.download(
        "/etc/redis.conf", backup_dir / "redis/redis.conf"
    )
    importer.file_transfer_conn.driver.download(
        "/etc/redis-sentinel.conf", backup_dir / "redis/redis-sentinel.conf"
    )
    importer.file_transfer_conn.driver.download("/etc/redis.d", backup_dir / "redis")
